.primary {
    color: white;
    overflow: hidden;
    position: relative;

    &__main {
        z-index: 20;
        position: relative;
    }

    &__media {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;

        .swiper {
            height: 100%;
        }
    }

    &__wrap {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    &__header {
        font-size: rem(40);
        line-height: rem(40);
        padding-bottom: rem(30);

        span {
            display: block;
        }
    }

    &__body {
        padding: rem(36) 0;
    }

    &__content {
        z-index: 50;
        position: relative;
        padding-top: rem(14);

        &:before {
            top: 0;
            left: -2000px;
            right: -2000px;
            content: '';
            height: 1px;
            position: absolute;
            background: rgba(255, 255, 255, 0.3);
        }
    }

    &__lead {
        opacity: .8;
        color: var(--light);
        font-size: rem(18);
        line-height: rem(21);
    }

    &__control {
        z-index: 50;
        top: rem(12);
        right: 0;
        position: absolute;
        display: flex;
        align-items: center;
        column-gap: rem(8);
    }

    &__logo {
        display: none;
    }

    &__vendor {
        color: #FFFCF5;
        position: relative;
        text-decoration: none;
        white-space: nowrap;
        font-size: rem(24);
        line-height: rem(26);
        display: flex;
        align-items: center;
        column-gap: rem(16);
        transition: var(--transition-time);

        &:hover {
            color: white;
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    &__nav {
        display: none;
        line-height: 160%;
    }

    &__second {
        display: none;
        line-height: 160%;
    }

    &__link {
        font-size: rem(16);
        line-height: 160%;
        white-space: nowrap;
        display: inline-block;
        text-decoration: none;
        color: rgba(255, 252, 245, 0.8);
        transition: var(--transition-time);

        &:hover {
            color: white;
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    &__lng {
        font-size: rem(16);
        line-height: 160%;
        display: flex;
        align-items: center;
        column-gap: rem(10);
        white-space: nowrap;
        text-decoration: none;
        color: rgba(255, 252, 245, 0.8);
        transition: var(--transition-time);

        &:hover {
            color: white;
            text-decoration: none;
            transition: var(--transition-time);
        }

        i {
            flex-shrink: 0;
            display: block;
            width: rem(24);
        }

        span {
            display: block;
        }
    }

    &__down {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__vendor {
            font-size: rem(30);
            line-height: rem(36);
        }

        &__header {
            max-width: rem(600);
            font-size: rem(48);
            line-height: rem(48);

            br {
                display: none;
            }

            span {
                display: inline-block;

                &:nth-child(1),
                &:nth-child(3) {

                    &:after {
                        opacity: .8;
                        font-size: 0;
                        line-height: 0;
                        content: '';
                        width: 18px;
                        height: 18px;
                        top: rem(-5);
                        margin-left: rem(12);
                        position: relative;
                        border-radius: 50%;
                        display: inline-block;
                        border: 1px solid #FFFCF5;
                    }
                }
            }
        }

        &__lead {
            font-size: rem(24);
            line-height: rem(28);
        }
    }

    @include media-breakpoint-up(lg) {

        &__control {
            top: rem(-112)
        }

        &__header {
            max-width: rem(760);
            font-size: rem(56);
            line-height: rem(56);
            padding-bottom: rem(50);

            br {
                display: none;
            }
        }

        &__content {
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
        }

        &__nav {
            display: flex;
            column-gap: rem(20);
        }

        &__second {
            display: flex;
            flex-direction: column;
            align-items: flex-end;
        }
    }

    @include media-breakpoint-up(xl) {

        &__vendor {
            font-size: rem(36);
            line-height: rem(48);

            &:hover {

                .primary {

                    &__name {

                        &:before {
                            opacity: 1;
                            visibility: visible;
                            transition: var(--transition-time);
                        }
                    }

                    &__down {
                        transition: var(--transition-time);
                        opacity: 1;
                        visibility: visible;
                    }

                    &__logo {
                        transition: var(--transition-time);
                        opacity: 1;
                        visibility: visible;
                    }
                }
            }
        }

        &__name {
            position: relative;

            &:before {
                left: 0;
                right: 0;
                bottom: 4px;
                height: 1px;
                content: '';
                background: white;
                position: absolute;
                opacity: 0;
                visibility: hidden;
                transition: var(--transition-time);
            }
        }

        &__logo {
            flex-shrink: 0;
            display: block;
            width: rem(102);
            opacity: 0;
            visibility: hidden;
            transition: var(--transition-time);
        }

        &__header {
            max-width: rem(900);
            font-size: rem(70);
            line-height: rem(70);

            span {

                &:nth-child(1),
                &:nth-child(3) {

                    &:after {
                        top: rem(-18);
                        margin-left: rem(23);
                    }
                }
            }
        }

        &__nav {
            column-gap: rem(40);
        }

        &__body {
            padding-bottom: rem(52);
        }

        &__down {
            top: calc(100%);
            left: rem(40);
            z-index: 50;
            width: 34px;
            height: 60px;
            font-size: 0;
            line-height: 0;
            display: block;
            position: absolute;
            stroke: var(--light);
            transition: var(--transition-time);
            opacity: 0;
            visibility: hidden;

            &:hover {
                stroke: white;
                transition: var(--transition-time);
            }
        }
    }


    @include media-breakpoint-up(xxl) {
        justify-content: flex-start;
        column-gap: rem(210);

        &__vendor {
            font-size: rem(50);
            line-height: rem(55);
        }

        &__header {
            max-width: rem(1200);
            font-size: rem(95);
            line-height: rem(95);
        }

        &__nav {
            column-gap: rem(46);
        }

        &__link {
            font-size: rem(22);
            line-height: 160%
        }

        &__lng {
            font-size: rem(22);
            line-height: 160%
        }

        &__lead {
            font-size: rem(30);
            line-height: 120%;
        }
    }
}

.header {
    padding: rem(18) 0;
    position: relative;
    display: flex;
    flex-direction: column;
    row-gap: rem(37);

    &__group {
        color: white;
        font-size: rem(24);
        line-height: rem(26);

        span {
            border-bottom: 1px solid white;
        }
    }

    &__logos {
        display: none;
    }

    &__vendors {
        position: relative;
        display: flex;
        flex-direction: column;
    }

    &__logo {
        display: block;
        width: rem(158);
    }

    &__toggle {
        right: 0;
        padding: 0;
        top: rem(16);
        z-index: 50;
        border: none;
        outline: none;
        width: rem(22);
        height: rem(22);
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        background: transparent;

        i {
            display: block;
            width: 100%;
            flex-shrink: 0;
            height: rem(12);
        }

        &--close {
            top: rem(13);
            right: rem(-4);
            width: rem(32);
            height: rem(32);

            i {
                width: rem(32);
                height: rem(32);
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(50);
        padding-bottom: rem(50);
        row-gap: rem(48);

        &__logo {
            width: rem(346);
        }

        &__vendors {
            row-gap: rem(8);
            padding-left: rem(8);

        }

        &__toggle {
            top: rem(50);
        }
    }

    @include media-breakpoint-up(lg) {
        flex-direction: row;
        justify-content: space-between;

        &__toggle {
            display: none;
        }

        &__vendors {
            top: -2px;
            padding-bottom: rem(8);
            position: relative;
            padding-left: 0;
        }
    }

    @include media-breakpoint-up(xl) {

        &__vendors {
            row-gap: 0;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__down {
            left: rem(636);
        }
    }
}

.btn-nav {
    padding: 0;
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    width: 46px;
    height: 46px;
    cursor: pointer;
    fill: var(--dark);
    border-radius: 50%;
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    background: rgba(255, 252, 245, 0.7);
    transition: var(--transition-time);

    &:hover {
        background: white;
        transition: var(--transition-time);
    }

    &:active {
        background: rgba(255, 252, 245, 0.8);
    }

    i {
        height: 8px;
        flex-shrink: 0;
        display: inline-block;
    }

    @include media-breakpoint-up(md) {
        width: rem(50);
        height: rem(50);
    }
}


@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
